Intraday Messages

Get intraday trading messages from API

Base Endpoint

GET https://asxenergy.com.au/api/messages

Parameters

Name Type Mandatory Description
market STRING YES Accepted Market codes:
  • au_electricity
  • nz_electricity
  • au_gas
  • au_environmental
  • nz_environmental
type STRING YES Accepted types:
  • message_board
  • registered_trades
  • custom_market
from STRING NO Optional time filter to limit the range of returned data.
Format: HHmmss (e.g., 093000 for 9:30:00 AM).
All messages from the specified time onward, including messages at the exact timestamp, will be returned.

CSV Support

The API supports CSV-formatted responses when requested via the Accept header.
To receive data in CSV format, set the following header in your request:

Accept: text/csv

Examples

Message Board/Registered Trades:

  • Request:
  • GET https://asxenergy.com.au/api/messages?market=au_electricity&type=message_board
    
  • JSON Response:
  • {
        "market": "au_electricity",
        "type": "message_board",
        "date": "20250408",
        "data": [
            {
                "time": "111857",
                "message": "RFQ: ENK5"
            },
            {
                "time": "111856",
                "message": "RFQ: ENK5"
            },
            {
                "time": "110542",
                "message": "RFQ: HQZ8"
            },
            {
                "time": "104516",
                "message": "RFQ: HNZ6"
            },
            // ...
        ]
    }
    
  • CSV Response:
  • time	message
    111857	RFQ: ENK5
    111856	RFQ: ENK5
    110542	RFQ: HQZ8
    104516	RFQ: HNZ6
    102058	RFQ: HQM6
    102040	RFQ: HNM6
    ...
    

Custom Market:

  • Request:
  • GET https://asxenergy.com.au/api/messages?market=au_gas&type=custom_market
    
  • JSON Response
  • {
        "market": "au_gas",
        "type": "custom_market",
        "data": [
            {
                "contract": "Contract",
                "net": "0.00",
                "size": "0",
                "price_1": "0.00",
                "price_2": "0.00",
                "price_3": "0.00",
                "price_4": "0.00",
                "price_5": "0.00",
                "price_6": "0.00",
                "ratio_1": "0.00",
                "ratio_2": "0.00",
                "ratio_3": "0.00",
                "ratio_4": "0.00",
                "ratio_5": "0.00",
                "ratio_6": "0.00",
            },
            // ...
        ]
    }
    
  • CSV Responses
  • contract	net	size	price_1	price_2	price_3	price_4	price_5	price_6	ratio_1	ratio_2	ratio_3	ratio_4	ratio_5	ratio_6
    contract	0.00	0	0.00	0.00	0.00	0.00	0.00	0.00	0.00	0.00	0.00	0.00	0.00	0.00